#!/usr/bin/env python3

from flask import Flask
import os

app = Flask(__name__)

app.config["PROMETHEUS_API_BASE"] = "http://[::1]:9090"
app.config["PROMETHEUS_QUERY"] = '(sum_over_time(up{job="node-exporter"}[6h]) / count_over_time(up{job="node-exporter"}[6h]))[14d:6h]'

if "UPTIMESTATUS_SETTINGS" in os.environ:
    app.config.from_envvar('UPTIMESTATUS_SETTINGS')

from .views import app
